Android

To use Magine TV in your Android device you need to have a 4.3 or higher version. We support the major brands in the actual market like Samsung, LG, HTC , Sony, Google Nexus. We cannot support every device because all the new Android phones have a different software, but we are working hard every day for having all the new devices supported by Magine TV.

You can download the app at Google Play.

 

Comments